const fs = require ( 'fs' );
const A = require ( 'aws-sdk' ), s3 = new A.S3 ( { region: 'eu-west-1' } );

fs.readFile ( 'browser.bundle.js', ( error, file ) => {
    if ( error ) {
        return console.error ( error );
    }
    s3.putObject ( {
        Bucket: 'roboblogger-test.eip.telegraph.co.uk',
        Key: 'js/lib/browser.bundle.js',
        Body: file,
        ContentType: 'application/javascript',
        ACL: 'public-read'
    }, ( error, result ) => {
        if ( error ) {
            return console.error ( error );
        }
        console.log ( result );
    } );
} );
