const H = require ( 'highland' );
const R = require ( 'ramda' );
const A = require ( 'aws-sdk' ), s3 = new A.S3 ( { region: 'eu-west-1' } );
const L = require ( 'aws-s3-list-stream' );

L ( { region: 'eu-west-1' }, {
    Bucket: 'opta.eip.telegraph.co.uk',
    Prefix: [ 'F24', '8', '2016' ].join ( '-' )
} )
    .pluck ( 'Key' )
    .group ( R.compose ( R.prop ( 3 ), R.split ( '-' ) ) )
    .map ( R.values )
    .sequence ()
    .map ( R.sortBy ( R.compose ( R.unary ( parseInt ), R.prop ( 4 ), R.split ( '-' ) ) ) )
    .map ( R.last )
    .flatMap ( ( Key ) => {
        return H.wrapCallback ( ( parms, callback ) => {
            s3.getObject ( parms, callback );
        } )( {
            Bucket: 'opta.eip.telegraph.co.uk',
            Key: Key
        } )
            .pluck ( 'Body' )
            .invoke ( 'toString', [ 'utf8' ] )
            .filter ( R.compose ( R.not, R.isEmpty, R.match ( process.argv[2] ) ) )
            .map ( R.always ( Key ) );
    } )
    .errors ( R.unary ( console.error ) )
    .each ( R.unary ( console.log ) );
