var webpack = require('webpack');

module.exports = {
    entry: {
        ParticleAssembler: [
            './index.js'
        ]
    },
    plugins: [
        new webpack.DefinePlugin({
            "process.env": {
                BROWSER: JSON.stringify(true)
            }
        })
    ],
    output: {
        path: __dirname,
        filename: "browser.bundle.js",
        libraryTarget: "umd",
        library: "ParticleAssembler"
    }
};
